
function getJSONWords(androidId) {
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", "http://petrumagdeleine.com/rest/getWords?android="+androidId, false );
    xmlHttp.send( null );

    return xmlHttp.responseText;
}

function drawWords(jsonWords) {
    var data = JSON.parse(jsonWords);

    var fill = d3.scale.category20();

    d3.layout.cloud().size([500, 500])
        // .words([
        //   "Hello", "world"].map(function(d) {
        //   return {text: d, size: 10 + Math.random() * 90};
        // }))
        .words(data.map(function(d) {
          return {text: d, size: 10 + Math.random() * 90};
        }))
        .padding(5)
        .rotate(function() { return ~~(Math.random() * 2) * 90; })
        .font("Impact")
        .fontSize(function(d) { return d.size; })
        .on("end", draw)
        .start();

    function draw(words) {
      //var c = $("#cloud");
      // d3.select("body").append("svg")
      d3.select("#cloud").append("svg")
          .attr("width", 500)
          .attr("height", 500)
        .append("g")
          .attr("transform", "translate(250,250)")
        .selectAll("text")
          .data(words)
        .enter().append("text")
          .style("font-size", function(d) { return d.size + "px"; })
          .style("font-family", "Impact")
          .style("fill", function(d, i) { return fill(i); })
          .attr("text-anchor", "middle")
          .attr("transform", function(d) {
            return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
          })
          .text(function(d) { return d.text; });
    }
}
